Name:           igsc
Version:        0.9.5
Release:        1%{?dist}
Summary:        Intel Graphics System Controller Firmware Update Utility
License:        Apache-2.0
URL:            https://github.com/intel/igsc
Source:         https://github.com/intel/igsc/archive/V%{version}/%{name}-%{version}.tar.gz
# Upstream commit ba6f2afbd9 for using CMAKE_INSTALL_LIBDIR
Patch0001:      0001-igsc-cmake-Don-t-hardcode-LIBDIR-for-installed-cmake.patch
BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  intel-metee-devel >= 4.1.0
BuildRequires:  systemd-devel
BuildRequires:  doxygen
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

# Upstream only supports x86_64
ExclusiveArch:  x86_64

%description
Intel Graphics System Controller (igsc) Firmware Update Utility and library

%package devel
Summary:        Headers and cmake files for the igsc library
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Headers and cmake files for the igsc library

%package doc
Summary:        Documentation for the igsc library
BuildArch:      noarch

%description doc
Documentation for the igsc library

%prep
%autosetup -p1

%build
%cmake -DENABLE_DOCS:BOOL=ON
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE.txt
%{_bindir}/igsc
%{_libdir}/libigsc.so.0{,.*}

%files devel
%{_includedir}/igsc_lib.h
%{_libdir}/cmake/igsc/
%{_libdir}/libigsc.so
%{_mandir}/man3/*

%files doc
%license LICENSE.txt
%{_docdir}/%{name}
%doc

%changelog
* Wed Jun 18 2025 Gary Buhrmaster <gary.buhrmaster@gmail.com> - 0.9.5-1
- Initial package
